jif.ast

## Class ConstraintNode_c<Constraint extends Assertion>

- java.lang.Object
- - polyglot.ast.Node_c
  - - jif.ast.ConstraintNode_c<Constraint>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ConstraintNode<Constraint>, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Node>
  Direct Known Subclasses:
    ActsForConstraintNode_c, AuthConstraintNode_c, AutoEndorseConstraintNode_c, CallerConstraintNode_c, CanonicalConstraintNode_c, LabelLeAssertionNode_c

      public class ConstraintNode_c<Constraint extends Assertion>
      extends polyglot.ast.Node_c
      implements ConstraintNode<Constraint>

  An implementation of the `ConstraintNode` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<Constraint>` | `constraints`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintNode_c(polyglot.util.Position pos)` Deprecated.
    `ConstraintNode_c(polyglot.util.Position pos, polyglot.ast.Ext ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Constraint` | `constraint()`
    `protected ConstraintNode<Constraint>` | `constraint(Constraint constraint)`
    `java.util.Set<Constraint>` | `constraints()`
    `ConstraintNode<Constraint>` | `constraints(java.util.Set<Constraint> constraints)`
    `ConstraintNode_c<Constraint>` | `copy()`
    `polyglot.visit.NodeVisitor` | `exceptionCheckEnter(polyglot.visit.ExceptionChecker ec)` Bypass all children when performing an exception check.
    `boolean` | `isDisambiguated()`
    `protected void` | `setConstraint(Constraint constraint)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheck, ext, ext, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitChildren, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

- - ### Field Detail

    - #### constraints

          protected java.util.Set<Constraint extends Assertion> constraints

  - ### Constructor Detail

    - #### ConstraintNode_c

          @Deprecated
          public ConstraintNode_c(polyglot.util.Position pos)

      Deprecated.

    - #### ConstraintNode_c

          public ConstraintNode_c(polyglot.util.Position pos,
                                  polyglot.ast.Ext ext)

  - ### Method Detail

    - #### isDisambiguated

          public boolean isDisambiguated()

      Specified by:
        `isDisambiguated` in interface `polyglot.ast.Node`
      Overrides:
        `isDisambiguated` in class `polyglot.ast.Node_c`

    - #### constraints

          public java.util.Set<Constraint> constraints()

      Specified by:
        `constraints` in interface `ConstraintNode<Constraint extends Assertion>`

    - #### constraints

          public ConstraintNode<Constraint> constraints(java.util.Set<Constraint> constraints)

      Specified by:
        `constraints` in interface `ConstraintNode<Constraint extends Assertion>`

    - #### constraint

          protected Constraint constraint()

    - #### constraint

          protected ConstraintNode<Constraint> constraint(Constraint constraint)

    - #### setConstraint

          protected void setConstraint(Constraint constraint)

    - #### exceptionCheckEnter

          public polyglot.visit.NodeVisitor exceptionCheckEnter(polyglot.visit.ExceptionChecker ec)
                                                         throws polyglot.types.SemanticException

      Bypass all children when performing an exception check. Constraints aren't examined at runtime.
      Specified by:
        `exceptionCheckEnter` in interface `polyglot.ast.NodeOps`
      Overrides:
        `exceptionCheckEnter` in class `polyglot.ast.Node_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### copy

          public ConstraintNode_c<Constraint> copy()

      Specified by:
        `copy` in interface `polyglot.util.Copy<polyglot.ast.Node>`
      Overrides:
        `copy` in class `polyglot.ast.Node_c`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `polyglot.ast.Node_c`